package com.zksy.property.service.impl;

import com.zksy.property.domain.bo.RentalTempBo;
import com.zksy.property.service.ARentalContractService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class ARentalContractServiceImplTest {

    @Autowired
    private ARentalContractService aRentalContractService;

    @Test
    void generatorRental() {
        var t = new RentalTempBo();
        t.setA1("1");
        t.setA2("2");
        t.setA3("3");
        t.setA4("4");
        t.setA5("5");
        t.setA6("6");
        t.setA7("7");
        t.setA8("8");
        t.setA9("9");
        var path = aRentalContractService.generatorRental("1",t);
        System.out.println(path);
    }

    @Test
    void generatorRental2() {
        var t = new RentalTempBo();
        t.setB1("1");
        t.setB2("2");
        t.setB3("3");
        t.setB4("4");
        t.setB5("5");
        t.setB6("6");
        t.setB7("7");
        t.setB8("8");
        t.setB9("9");
        t.setB10("10");
        t.setB11("11");
        t.setB12("12");
        t.setB13("13");
        t.setB14("14");
        t.setB15("15");
        t.setB16("16");
        t.setB17("17");
        t.setB18("18");
        t.setB19("19");
        t.setB20("20");
        t.setB21("21");
        t.setB22("22");
        t.setB23("23");
        t.setB24("24");
        t.setB25("25");
        t.setB26("26");
        t.setB27("27");
        t.setB28("28");
        t.setB29("29");
        t.setB30("30");
        t.setB31("31");
        t.setB32("32");
        t.setB33("33");
        t.setB34("34");
        t.setB35("35");
        t.setB36("36");
        t.setB37("37");
        t.setB38("38");
        t.setB39("39");
        t.setB40("40");
        t.setB41("41");
        t.setB42("42");
        t.setB43("43");
        t.setB44("44");
        t.setB45("45");
        t.setB46("46");
        t.setB47("47");
        t.setB48("48");
        t.setB49("49");
        t.setB50("50");
        t.setB51("51");
        t.setB52("52");
        t.setB53("53");
        t.setB54("54");
        t.setB55("55");
        t.setB56("56");
        aRentalContractService.generatorRental("2",t);
    }

    @Test
    void generatorRental3() {
        var t = new RentalTempBo();
        t.setC1("1");
        t.setC2("2");
        t.setC3("3");
        t.setC4("4");
        t.setC5("5");
        t.setC6("6");
        t.setC7("7");
        t.setC8("8");
        t.setC9("9");
        t.setC10("10");
        t.setC11("11");
        t.setC12("12");
        t.setC13("13");
        t.setC14("14");
        t.setC15("15");
        t.setC16("16");
        t.setC17("17");
        t.setC18("18");
        t.setC19("19");
        t.setC20("20");
        t.setC21("21");
        t.setC22("22");
        t.setC23("23");
        t.setC24("24");
        t.setC25("25");
        t.setC26("26");
        t.setC27("27");
        aRentalContractService.generatorRental("3",t);
    }

    @Test
    void generatorRental4() {
        var t = new RentalTempBo();
        t.setD1("1");
        t.setD2("2");
        t.setD3("3");
        t.setD4("4");
        t.setD5("5");
        t.setD6("6");
        t.setD7("7");
        t.setD8("8");
        t.setD9("9");
        t.setD10("10");
        t.setD11("11");
        t.setD12("12");
        var res = aRentalContractService.generatorRental("4",t);
        System.out.println(res);
    }

    @Test
    void generatorRental5(){
        var t = new RentalTempBo();
        t.setE1("1");
        t.setE2("2");
        t.setE3("3");
        t.setE4("4");
        t.setE5("5");
        t.setE6("6");
        t.setE7("7");
        t.setE8("8");
        var res = aRentalContractService.generatorRental("5",t);
        System.out.println(res);
    }
}